Subject: SMITH & DeROSE AGENCY REVISED AUTOMOBILE INSURANCE PROPOSAL
From: [email-masked]
To: [email-masked]
Date: Thu, 21 May 2015 16:12:42 -0400

Mike:

Please find attached, revised Auto Owners auto insurance  proposal.  Please 
call me with questions, 517 655-2812 office or after  4:30pm at 517 
881-0222.
 
Joe